kind: Deployment
apiVersion: apps/v1
metadata:
  annotations:
    deployment.kubernetes.io/revision: '1'
  resourceVersion: '299390'
  name: plugin-registry
  uid: 1a7ed0b5-a955-4e22-ac76-db9fcafb9762
  creationTimestamp: '2022-11-13T14:46:12Z'
  generation: 1
  managedFields:
    - manager: kube-controller-manager
      operation: Update
      apiVersion: apps/v1
      time: '2022-11-13T14:46:12Z'
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:annotations':
            .: {}
            'f:deployment.kubernetes.io/revision': {}
        'f:status':
          'f:conditions':
            .: {}
            'k:{"type":"Available"}':
              .: {}
              'f:lastTransitionTime': {}
              'f:lastUpdateTime': {}
              'f:message': {}
              'f:reason': {}
              'f:status': {}
              'f:type': {}
            'k:{"type":"Progressing"}':
              .: {}
              'f:lastTransitionTime': {}
              'f:lastUpdateTime': {}
              'f:message': {}
              'f:reason': {}
              'f:status': {}
              'f:type': {}
          'f:observedGeneration': {}
          'f:replicas': {}
          'f:unavailableReplicas': {}
          'f:updatedReplicas': {}
      subresource: status
    - manager: manager
      operation: Update
      apiVersion: apps/v1
      time: '2022-11-13T14:46:12Z'
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:labels':
            .: {}
            'f:app': {}
            'f:app.kubernetes.io/component': {}
            'f:app.kubernetes.io/instance': {}
            'f:app.kubernetes.io/managed-by': {}
            'f:app.kubernetes.io/name': {}
            'f:app.kubernetes.io/part-of': {}
            'f:component': {}
          'f:ownerReferences':
            .: {}
            'k:{"uid":"c1e43538-ff57-482a-948c-64c6c5fc901f"}': {}
        'f:spec':
          'f:progressDeadlineSeconds': {}
          'f:replicas': {}
          'f:revisionHistoryLimit': {}
          'f:selector': {}
          'f:strategy':
            'f:rollingUpdate':
              .: {}
              'f:maxSurge': {}
              'f:maxUnavailable': {}
            'f:type': {}
          'f:template':
            'f:metadata':
              'f:labels':
                .: {}
                'f:app': {}
                'f:app.kubernetes.io/component': {}
                'f:app.kubernetes.io/instance': {}
                'f:app.kubernetes.io/managed-by': {}
                'f:app.kubernetes.io/name': {}
                'f:app.kubernetes.io/part-of': {}
                'f:component': {}
            'f:spec':
              'f:containers':
                'k:{"name":"plugin-registry"}':
                  'f:envFrom': {}
                  'f:image': {}
                  'f:terminationMessagePolicy': {}
                  .: {}
                  'f:resources':
                    .: {}
                    'f:limits':
                      .: {}
                      'f:cpu': {}
                      'f:memory': {}
                    'f:requests':
                      .: {}
                      'f:cpu': {}
                      'f:memory': {}
                  'f:livenessProbe':
                    .: {}
                    'f:failureThreshold': {}
                    'f:httpGet':
                      .: {}
                      'f:path': {}
                      'f:port': {}
                      'f:scheme': {}
                    'f:initialDelaySeconds': {}
                    'f:periodSeconds': {}
                    'f:successThreshold': {}
                    'f:timeoutSeconds': {}
                  'f:env':
                    'k:{"name":"CM_REVISION"}':
                      .: {}
                      'f:name': {}
                      'f:value': {}
                    'k:{"name":"RELATED_IMAGE_devspaces_code_plugin_registry_image_GMXDGCQ_"}':
                      .: {}
                      'f:name': {}
                      'f:value': {}
                    'k:{"name":"RELATED_IMAGE_devspaces_theia_plugin_registry_image_GMXDGCQ_"}':
                      .: {}
                      'f:name': {}
                      'f:value': {}
                    'k:{"name":"RELATED_IMAGE_devspaces_theia_endpoint_plugin_registry_image_GMXDGCQ_"}':
                      .: {}
                      'f:name': {}
                      'f:value': {}
                    .: {}
                    'k:{"name":"RELATED_IMAGE_devspaces_udi_plugin_registry_image_GMXDGCQ_"}':
                      .: {}
                      'f:name': {}
                      'f:value': {}
                    'k:{"name":"RELATED_IMAGE_rhscl_mongodb_36_rhel7_plugin_registry_image_GEWTKMAK"}':
                      .: {}
                      'f:name': {}
                      'f:value': {}
                    'k:{"name":"RELATED_IMAGE_devspaces_machineexec_plugin_registry_image_GMXDGCQ_"}':
                      .: {}
                      'f:name': {}
                      'f:value': {}
                    'k:{"name":"RELATED_IMAGE_devspaces_idea_plugin_registry_image_GMXDGCQ_"}':
                      .: {}
                      'f:name': {}
                      'f:value': {}
                  'f:readinessProbe':
                    .: {}
                    'f:failureThreshold': {}
                    'f:httpGet':
                      .: {}
                      'f:path': {}
                      'f:port': {}
                      'f:scheme': {}
                    'f:initialDelaySeconds': {}
                    'f:periodSeconds': {}
                    'f:successThreshold': {}
                    'f:timeoutSeconds': {}
                  'f:securityContext':
                    .: {}
                    'f:allowPrivilegeEscalation': {}
                    'f:capabilities':
                      .: {}
                      'f:drop': {}
                  'f:terminationMessagePath': {}
                  'f:imagePullPolicy': {}
                  'f:ports':
                    .: {}
                    'k:{"containerPort":8080,"protocol":"TCP"}':
                      .: {}
                      'f:containerPort': {}
                      'f:name': {}
                      'f:protocol': {}
                  'f:name': {}
              'f:dnsPolicy': {}
              'f:restartPolicy': {}
              'f:schedulerName': {}
              'f:securityContext': {}
              'f:terminationGracePeriodSeconds': {}
  namespace: openshift-devspaces
  ownerReferences:
    - apiVersion: org.eclipse.che/v2
      kind: CheCluster
      name: devspaces
      uid: c1e43538-ff57-482a-948c-64c6c5fc901f
      controller: true
      blockOwnerDeletion: true
  labels:
    app: devspaces
    app.kubernetes.io/component: plugin-registry
    app.kubernetes.io/instance: devspaces
    app.kubernetes.io/managed-by: devspaces-operator
    app.kubernetes.io/name: devspaces
    app.kubernetes.io/part-of: che.eclipse.org
    component: plugin-registry
spec:
  replicas: 1
  selector:
    matchLabels:
      app: devspaces
      component: plugin-registry
  template:
    metadata:
      creationTimestamp: null
      labels:
        app: devspaces
        app.kubernetes.io/component: plugin-registry
        app.kubernetes.io/instance: devspaces
        app.kubernetes.io/managed-by: devspaces-operator
        app.kubernetes.io/name: devspaces
        app.kubernetes.io/part-of: che.eclipse.org
        component: plugin-registry
    spec:
      containers:
        - resources:
            limits:
              cpu: 500m
              memory: 4Gi
            requests:
              cpu: 100m
              memory: 512Mi
          readinessProbe:
            httpGet:
              path: /plugins/
              port: 8080
              scheme: HTTP
            initialDelaySeconds: 3
            timeoutSeconds: 3
            periodSeconds: 10
            successThreshold: 1
            failureThreshold: 10
          terminationMessagePath: /dev/termination-log
          name: plugin-registry
          livenessProbe:
            httpGet:
              path: /plugins/
              port: 8080
              scheme: HTTP
            initialDelaySeconds: 300
            timeoutSeconds: 3
            periodSeconds: 10
            successThreshold: 1
            failureThreshold: 10
          env:
            - name: >-
                RELATED_IMAGE_rhscl_mongodb_36_rhel7_plugin_registry_image_GEWTKMAK
              value: >-
                registry.redhat.io/rhscl/mongodb-36-rhel7@sha256:9f799d356d7d2e442bde9d401b720600fd9059a3d8eefea6f3b2ffa721c0dc73
            - name: RELATED_IMAGE_devspaces_code_plugin_registry_image_GMXDGCQ_
              value: >-
                registry.redhat.io/devspaces/code-rhel8@sha256:8ae1771ce49129fa6c352fd69c13e6a59928918396165459a11e9265f77b7ea6
            - name: >-
                RELATED_IMAGE_devspaces_machineexec_plugin_registry_image_GMXDGCQ_
              value: >-
                registry.redhat.io/devspaces/machineexec-rhel8@sha256:ab38bd6edfdb08c85d89396cf0081c6db2ddf8ebe276869c19143cc4298ed64f
            - name: RELATED_IMAGE_devspaces_theia_plugin_registry_image_GMXDGCQ_
              value: >-
                registry.redhat.io/devspaces/theia-rhel8@sha256:589fc528a9356c840fb484c3a7f256236f47b65f1d0ced0cfd04c7face37098f
            - name: RELATED_IMAGE_devspaces_udi_plugin_registry_image_GMXDGCQ_
              value: >-
                registry.redhat.io/devspaces/udi-rhel8@sha256:02dec566ee0537e7110c75c7f0371a538c37bd052670817c962d60b958e455d1
            - name: RELATED_IMAGE_devspaces_idea_plugin_registry_image_GMXDGCQ_
              value: >-
                registry.redhat.io/devspaces/idea-rhel8@sha256:323555f54c64d10ace455b644f5c67ca61927079b32b01ad80ce5aae86d4dea7
            - name: >-
                RELATED_IMAGE_devspaces_theia_endpoint_plugin_registry_image_GMXDGCQ_
              value: >-
                registry.redhat.io/devspaces/theia-endpoint-rhel8@sha256:6d55e1836ae09814d343b517f0e21ea2982b16faeec9d1fa4bcb46918af7af1f
            - name: CM_REVISION
              value: '294662'
          securityContext:
            capabilities:
              drop:
                - ALL
            allowPrivilegeEscalation: false
          ports:
            - name: http
              containerPort: 8080
              protocol: TCP
          imagePullPolicy: IfNotPresent
          terminationMessagePolicy: File
          envFrom:
            - configMapRef:
                name: plugin-registry
                optional: true
          image: >-
            ec2-3-16-135-208.us-east-2.compute.amazonaws.com:5000/devspaces/pluginregistry-rhel8@sha256:24e9ccb613970386359d2ae4e2834655c4af2edc019cdb1cd9fb610475eeb5fc
      restartPolicy: Always
      terminationGracePeriodSeconds: 30
      dnsPolicy: ClusterFirst
      securityContext: {}
      schedulerName: default-scheduler
  strategy:
    type: RollingUpdate
    rollingUpdate:
      maxUnavailable: 25%
      maxSurge: 25%
  revisionHistoryLimit: 2
  progressDeadlineSeconds: 600
status:
  observedGeneration: 1
  replicas: 1
  updatedReplicas: 1
  unavailableReplicas: 1
  conditions:
    - type: Available
      status: 'False'
      lastUpdateTime: '2022-11-13T14:46:12Z'
      lastTransitionTime: '2022-11-13T14:46:12Z'
      reason: MinimumReplicasUnavailable
      message: Deployment does not have minimum availability.
    - type: Progressing
      status: 'False'
      lastUpdateTime: '2022-11-13T14:56:13Z'
      lastTransitionTime: '2022-11-13T14:56:13Z'
      reason: ProgressDeadlineExceeded
      message: ReplicaSet "plugin-registry-d8f8756d8" has timed out progressing.
